Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.persistence.dataobject
Class RealmDO

    java.lang.Object
      org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
          org.wso2.solutions.identity.persistence.dataobject.RealmDO

    public class RealmDO

extends AbstractDataObject

Information about available `org.wso2.usermanager.Realm` implementations.

Constructor Summary
`RealmDO()`

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.String` | `getConfigClassName()`
`java.util.Set` | `getRealmConfigurations()`
`void` | `setClassName(java.lang.String className)`
`void` | `setConfigClassName(java.lang.String configClassName)`
`void` | `setRealmConfigurations(java.util.Set realmConfigurations)`
`java.lang.String` | `toString()`

Methods inherited from class org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, setId, setLastUpdatedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RealmDO

    public RealmDO()

Method Detail

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### getConfigClassName

    public java.lang.String getConfigClassName()

### setConfigClassName

    public void setConfigClassName(java.lang.String configClassName)

### getRealmConfigurations

    public java.util.Set getRealmConfigurations()

### setRealmConfigurations

    public void setRealmConfigurations(java.util.Set realmConfigurations)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD